curl --request GET \
--url 'https://api.stateset.com/api/v1/products/{id}' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"created_at": "2026-08-31T14:22:05Z",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"product_type": "string",
"slug": "acme-outdoors",
"status": "pending",
"updated_at": "2026-08-31T14:22:05Z"
}
Product details
GET
/
api
/
v1
/
products
/
{id}
curl --request GET \
--url 'https://api.stateset.com/api/v1/products/{id}' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"created_at": "2026-08-31T14:22:05Z",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"product_type": "string",
"slug": "acme-outdoors",
"status": "pending",
"updated_at": "2026-08-31T14:22:05Z"
}
Path parameters
string
required
Product ID (UUID)
Response
ProductResponse
string (date-time)
required
string
required
string (uuid)
required
string
required
string
required
string
required
string
required
string (date-time)
required
Status codes
| Code | Meaning |
|---|---|
200 | Product details |
404 | Product not found |
curl --request GET \
--url 'https://api.stateset.com/api/v1/products/{id}' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"created_at": "2026-08-31T14:22:05Z",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"product_type": "string",
"slug": "acme-outdoors",
"status": "pending",
"updated_at": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026